
///////////////////////////////////////////////////////////////////////////////
//
//	gdi.h
//

#ifndef _GDI_
#define _GDI_

///////////////////////////////////////////////////////////////////////////////

#include <windows.h>
#include "window.h"



class BitmapBuffer : public UI_Base{

	HDC		hdc;
	HBITMAP	hbm;
	BOOL	bValid;

public:

	BitmapBuffer();
	BitmapBuffer(HDC hdc_cmp, int cx, int cy);
	~BitmapBuffer();

	BOOL create(HDC hdc_cmp, int cx, int cy);
	BOOL create_and_load(HDC hdc_cmp, LPCSTR filename);
	void destroy();

	HDC get_HDC(){ return hdc; }
	HBITMAP get_bitmap(){ return hbm; }
	HGDIOBJ select_object(HGDIOBJ hObj);

	BOOL rectangle(int left, int top, int right, int bottom);

};



///////////////////////////////////////////////////////////////////////////////

#endif // _GDI_



