
///////////////////////////////////////////////////////////////////////////////
//
//	ui_object.h
//

#define _UI_OBJECT_

#ifndef _UI_OBJECT_
#define _UI_OBJECT_

///////////////////////////////////////////////////////////////////////////////

#include <windows.h>
#include <list>
#include "window.h"
#include "base.h"
#include "gdi.h"


class UIObject : public UI_Base{
	bool bSelected;
public:
	virtual void draw(BitmapBuffer *buf, int scx, int scy)=0;
	virtual bool receive_click(int pdx, int pdy)=0;
};



class UIObjectsScreen : public UI_Base{
public:
	typedef std::list<UIObject*> UIObjects;

private:
	UIObjects objects;
	UIObject *obj_cur;

public:

	void add_object(UIObject *obj);
	void release_object(UIObject *obj);

};





///////////////////////////////////////////////////////////////////////////////

#endif // _UI_OBJECT_




